# Gimp.ExportGetCapabilitiesFunc

    function onExportGetCapabilitiesFunc(procedure: Gimp.Procedure, config: Gimp.ProcedureConfig, options: Gimp.ExportOptions): Gimp.ExportCapabilities {
    }

This function returns the capabilities requested by your export procedure, depending on config or options.

Since 3.0

procedure

  the Gimp.Procedure that runs.

config

  the Gimp.ProcedureConfig.

options

  the @GimpExportOptions object to update.

Returns

  a bitfield of the capabilities you want when preparing the image for exporting.